# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# C:\actions-runner\_work\vision\vision\pytorch\vision\packaging\torchvision, last modified Mon Oct 14 22:33:46 2024
# ------------------------------------------------

package:
  name: torchvision
  version: 0.20.0
source:
  path: C:/actions-runner/_work/vision/vision/pytorch/vision
build:
  script: python setup.py install --single-version-externally-managed --record=record.txt
  script_env:
    - BUILD_VERSION
    - CUDA_HOME
    - FORCE_CUDA
    - MACOSX_DEPLOYMENT_TARGET
    - TORCH_CUDA_ARCH_LIST
  string: py310_cpu
requirements:
  build:
    - libjpeg-turbo 3.0.3 h827c3e9_0
    - libpng 1.6.39 h8cc25b3_0
    - libwebp 1.2.4 h2bbff1b_0
    - libwebp-base 1.2.4 h2bbff1b_1
    - vc 14.40 h2eaa2aa_1
    - vs2015_runtime 14.40.33807 h98bb1dd_1
    - vs2019_win-64 19.29.30154 h96f319f_5
    - vswhere 2.8.4 haa95532_0
    - zlib 1.2.13 h8cc25b3_1
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 h2bbff1b_6
    - ca-certificates 2024.9.24 haa95532_0
    - filelock 3.13.1 py310haa95532_0
    - gmpy2 2.1.2 py310h7f96b67_0
    - intel-openmp 2023.1.0 h59b6b97_46320
    - jinja2 3.1.4 py310haa95532_0
    - libffi 3.4.4 hd77b12b_1
    - libuv 1.48.0 h827c3e9_0
    - markupsafe 2.1.3 py310h2bbff1b_0
    - mkl 2023.1.0 h6b88ed4_46358
    - mpc 1.1.0 h7edee0f_1
    - mpfr 4.0.2 h62dcd97_1
    - mpir 3.0.0 hec2e145_1
    - mpmath 1.3.0 py310haa95532_0
    - networkx 3.3 py310haa95532_0
    - openssl 3.0.15 h827c3e9_0
    - pip 24.2 py310haa95532_0
    - python 3.10.15 h4607a30_1
    - pytorch 2.5.0 py3.10_cpu_0
    - pytorch-mutex 1.0 cpu
    - pyyaml 6.0.2 py310h827c3e9_0
    - setuptools 75.1.0 py310haa95532_0
    - sqlite 3.45.3 h2bbff1b_0
    - sympy 1.13.2 py310haa95532_0
    - tbb 2021.8.0 h59b6b97_0
    - tk 8.6.14 h0416ee5_0
    - typing_extensions 4.11.0 py310haa95532_0
    - tzdata 2024b h04d1e81_0
    - vc 14.40 h2eaa2aa_1
    - vs2015_runtime 14.40.33807 h98bb1dd_1
    - wheel 0.44.0 py310haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - yaml 0.2.5 he774522_0
    - zlib 1.2.13 h8cc25b3_1
  run:
    - defaults::numpy >=1.11
    - libjpeg-turbo
    - libpng
    - libwebp
    - pillow >=5.3.0, !=8.3.*
    - python >=3.10,<3.11.0a0
    - pytorch-mutex 1.0 cpu
    - pytorch==2.5.0
    - requests
    - vc >=14.2,<15.0a0
    - vs2015_runtime >=14.29.30133,<15.0a0
  run_constrained:
    - cpuonly
test:
  imports:
    - torchvision
    - torchvision.datasets
    - torchvision.transforms
  requires:
    - ca-certificates
    - libjpeg-turbo
    - pytest
    - scipy
  source_files:
    - test
about:
  home: https://github.com/pytorch/vision
  license: BSD
  license_file: LICENSE
  summary: image and video datasets and models for torch deep learning
extra:
  copy_test_source_files: true
  final: true
